<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head><meta http-equiv="content-type" content="text/html; charset=UTF-8" />
<title>AllocateHandler xref</title>
<link type="text/css" rel="stylesheet" href="../../../../../../../stylesheet.css" />
</head>
<body>
<div id="overview"><a href="../../../../../../../../apidocs/org/eclipse/papyrus/designer/transformation/ui/handlers/AllocateHandler.html">View Javadoc</a></div><pre>
<a class="jxr_linenumber" name="L1" href="#L1">1</a>   <em class="jxr_javadoccomment">/*******************************************************************************</em>
<a class="jxr_linenumber" name="L2" href="#L2">2</a>   <em class="jxr_javadoccomment"> * All rights reserved. This program and the accompanying materials</em>
<a class="jxr_linenumber" name="L3" href="#L3">3</a>   <em class="jxr_javadoccomment"> * are made available under the terms of the Eclipse Public License v1.0</em>
<a class="jxr_linenumber" name="L4" href="#L4">4</a>   <em class="jxr_javadoccomment"> * which accompanies this distribution, and is available at</em>
<a class="jxr_linenumber" name="L5" href="#L5">5</a>   <em class="jxr_javadoccomment"> * <a href="http://www.eclipse.org/legal/epl-v10.htm" target="alexandria_uri">http://www.eclipse.org/legal/epl-v10.htm</a>l</em>
<a class="jxr_linenumber" name="L6" href="#L6">6</a>   <em class="jxr_javadoccomment"> *</em>
<a class="jxr_linenumber" name="L7" href="#L7">7</a>   <em class="jxr_javadoccomment"> * Contributors:</em>
<a class="jxr_linenumber" name="L8" href="#L8">8</a>   <em class="jxr_javadoccomment"> *  Ansgar Radermacher (CEA LIST) ansgar.radermacher@cea.fr - Initial API and implementation</em>
<a class="jxr_linenumber" name="L9" href="#L9">9</a>   <em class="jxr_javadoccomment"> *******************************************************************************/</em>
<a class="jxr_linenumber" name="L10" href="#L10">10</a>  
<a class="jxr_linenumber" name="L11" href="#L11">11</a>  <strong class="jxr_keyword">package</strong> org.eclipse.papyrus.designer.transformation.ui.handlers;
<a class="jxr_linenumber" name="L12" href="#L12">12</a>  
<a class="jxr_linenumber" name="L13" href="#L13">13</a>  <strong class="jxr_keyword">import</strong> org.eclipse.core.commands.ExecutionEvent;
<a class="jxr_linenumber" name="L14" href="#L14">14</a>  <strong class="jxr_keyword">import</strong> org.eclipse.core.commands.ExecutionException;
<a class="jxr_linenumber" name="L15" href="#L15">15</a>  <strong class="jxr_keyword">import</strong> org.eclipse.gmf.runtime.common.core.command.CommandResult;
<a class="jxr_linenumber" name="L16" href="#L16">16</a>  <strong class="jxr_keyword">import</strong> org.eclipse.jface.dialogs.IDialogConstants;
<a class="jxr_linenumber" name="L17" href="#L17">17</a>  <strong class="jxr_keyword">import</strong> org.eclipse.jface.dialogs.MessageDialog;
<a class="jxr_linenumber" name="L18" href="#L18">18</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.deployment.tools.DepUtils;
<a class="jxr_linenumber" name="L19" href="#L19">19</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.transformation.base.utils.CommandSupport;
<a class="jxr_linenumber" name="L20" href="#L20">20</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.transformation.base.utils.RunnableWithResult;
<a class="jxr_linenumber" name="L21" href="#L21">21</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.designer.transformation.ui.dialogs.AllocationDialog;
<a class="jxr_linenumber" name="L22" href="#L22">22</a>  <strong class="jxr_keyword">import</strong> org.eclipse.papyrus.uml.diagram.common.handlers.CmdHandler;
<a class="jxr_linenumber" name="L23" href="#L23">23</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.widgets.Display;
<a class="jxr_linenumber" name="L24" href="#L24">24</a>  <strong class="jxr_keyword">import</strong> org.eclipse.swt.widgets.Shell;
<a class="jxr_linenumber" name="L25" href="#L25">25</a>  <strong class="jxr_keyword">import</strong> org.eclipse.uml2.uml.Package;
<a class="jxr_linenumber" name="L26" href="#L26">26</a>  
<a class="jxr_linenumber" name="L27" href="#L27">27</a>  <em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L28" href="#L28">28</a>  <em class="jxr_javadoccomment"> * Implementation class for ClassAction action</em>
<a class="jxr_linenumber" name="L29" href="#L29">29</a>  <em class="jxr_javadoccomment"> */</em>
<a class="jxr_linenumber" name="L30" href="#L30">30</a>  <strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">class</strong> <a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/handlers/AllocateHandler.html">AllocateHandler</a> <strong class="jxr_keyword">extends</strong> CmdHandler {
<a class="jxr_linenumber" name="L31" href="#L31">31</a>  
<a class="jxr_linenumber" name="L32" href="#L32">32</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L33" href="#L33">33</a>  <em class="jxr_javadoccomment">	 * {@inheritDoc}</em>
<a class="jxr_linenumber" name="L34" href="#L34">34</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L35" href="#L35">35</a>  	@Override
<a class="jxr_linenumber" name="L36" href="#L36">36</a>  	<strong class="jxr_keyword">public</strong> <strong class="jxr_keyword">boolean</strong> isEnabled() {
<a class="jxr_linenumber" name="L37" href="#L37">37</a>  		updateSelectedEObject();
<a class="jxr_linenumber" name="L38" href="#L38">38</a>  		<strong class="jxr_keyword">if</strong> (selectedEObject instanceof Package) {
<a class="jxr_linenumber" name="L39" href="#L39">39</a>  			<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">true</strong>;
<a class="jxr_linenumber" name="L40" href="#L40">40</a>  		}
<a class="jxr_linenumber" name="L41" href="#L41">41</a>  		<strong class="jxr_keyword">return</strong> false;
<a class="jxr_linenumber" name="L42" href="#L42">42</a>  	}
<a class="jxr_linenumber" name="L43" href="#L43">43</a>  
<a class="jxr_linenumber" name="L44" href="#L44">44</a>  	<em class="jxr_javadoccomment">/**</em>
<a class="jxr_linenumber" name="L45" href="#L45">45</a>  <em class="jxr_javadoccomment">	 * {@inheritDoc}</em>
<a class="jxr_linenumber" name="L46" href="#L46">46</a>  <em class="jxr_javadoccomment">	 */</em>
<a class="jxr_linenumber" name="L47" href="#L47">47</a>  	@Override
<a class="jxr_linenumber" name="L48" href="#L48">48</a>  	<strong class="jxr_keyword">public</strong> Object execute(ExecutionEvent event)
<a class="jxr_linenumber" name="L49" href="#L49">49</a>  			<strong class="jxr_keyword">throws</strong> ExecutionException {
<a class="jxr_linenumber" name="L50" href="#L50">50</a>  		<strong class="jxr_keyword">if</strong> (!(selectedEObject instanceof Package)) {
<a class="jxr_linenumber" name="L51" href="#L51">51</a>  			<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L52" href="#L52">52</a>  		}
<a class="jxr_linenumber" name="L53" href="#L53">53</a>  
<a class="jxr_linenumber" name="L54" href="#L54">54</a>  		<strong class="jxr_keyword">final</strong> Package cdp = (Package) selectedEObject;
<a class="jxr_linenumber" name="L55" href="#L55">55</a>  		<strong class="jxr_keyword">final</strong> Shell shell = Display.getDefault().getActiveShell();
<a class="jxr_linenumber" name="L56" href="#L56">56</a>  
<a class="jxr_linenumber" name="L57" href="#L57">57</a>  		<em class="jxr_comment">// org.eclipse.papyrus.designer.components.vsl.ParseVSL.test();</em>
<a class="jxr_linenumber" name="L58" href="#L58">58</a>  		<strong class="jxr_keyword">if</strong> (DepUtils.getTopLevelInstances(cdp).isEmpty()) {
<a class="jxr_linenumber" name="L59" href="#L59">59</a>  			MessageDialog.openInformation(shell, <span class="jxr_string">"Error"</span>,
<a class="jxr_linenumber" name="L60" href="#L60">60</a>  					<span class="jxr_string">"Deployment plan has no main instance (check stereotype attribute mainInstance)"</span>);
<a class="jxr_linenumber" name="L61" href="#L61">61</a>  			<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L62" href="#L62">62</a>  		}
<a class="jxr_linenumber" name="L63" href="#L63">63</a>  
<a class="jxr_linenumber" name="L64" href="#L64">64</a>  		<em class="jxr_comment">// 1. select possible connectors according to port types</em>
<a class="jxr_linenumber" name="L65" href="#L65">65</a>  		<em class="jxr_comment">// (only show compatible connectors check-box?)</em>
<a class="jxr_linenumber" name="L66" href="#L66">66</a>  		<em class="jxr_comment">// 2. select implementation group according to connector type</em>
<a class="jxr_linenumber" name="L67" href="#L67">67</a>  
<a class="jxr_linenumber" name="L68" href="#L68">68</a>  		<em class="jxr_comment">// container dialog: either extension, rule or interceptor</em>
<a class="jxr_linenumber" name="L69" href="#L69">69</a>  		<em class="jxr_comment">// howto select? which? (and howto add/remove?) - Std - dialog is good?</em>
<a class="jxr_linenumber" name="L70" href="#L70">70</a>  		CommandSupport.exec(<span class="jxr_string">"Instance allocation"</span>, event, <strong class="jxr_keyword">new</strong> RunnableWithResult() {
<a class="jxr_linenumber" name="L71" href="#L71">71</a>  			
<a class="jxr_linenumber" name="L72" href="#L72">72</a>  			@Override
<a class="jxr_linenumber" name="L73" href="#L73">73</a>  			<strong class="jxr_keyword">public</strong> CommandResult run() {
<a class="jxr_linenumber" name="L74" href="#L74">74</a>  				AllocationDialog allocDialog =
<a class="jxr_linenumber" name="L75" href="#L75">75</a>  						<strong class="jxr_keyword">new</strong> <a href="../../../../../../../org/eclipse/papyrus/designer/transformation/ui/dialogs/AllocationDialog.html">AllocationDialog</a>(shell, cdp);
<a class="jxr_linenumber" name="L76" href="#L76">76</a>  				allocDialog.setTitle(<span class="jxr_string">"Allocate instances"</span>);
<a class="jxr_linenumber" name="L77" href="#L77">77</a>  				allocDialog.open();
<a class="jxr_linenumber" name="L78" href="#L78">78</a>  				<strong class="jxr_keyword">if</strong> (allocDialog.getReturnCode() == IDialogConstants.OK_ID) {
<a class="jxr_linenumber" name="L79" href="#L79">79</a>  					<strong class="jxr_keyword">return</strong> CommandResult.newOKCommandResult();
<a class="jxr_linenumber" name="L80" href="#L80">80</a>  				}
<a class="jxr_linenumber" name="L81" href="#L81">81</a>  				<strong class="jxr_keyword">else</strong> {
<a class="jxr_linenumber" name="L82" href="#L82">82</a>  					<strong class="jxr_keyword">return</strong> CommandResult.newCancelledCommandResult();
<a class="jxr_linenumber" name="L83" href="#L83">83</a>  				}
<a class="jxr_linenumber" name="L84" href="#L84">84</a>  			}
<a class="jxr_linenumber" name="L85" href="#L85">85</a>  		});
<a class="jxr_linenumber" name="L86" href="#L86">86</a>  
<a class="jxr_linenumber" name="L87" href="#L87">87</a>  		<strong class="jxr_keyword">return</strong> <strong class="jxr_keyword">null</strong>;
<a class="jxr_linenumber" name="L88" href="#L88">88</a>  	}
<a class="jxr_linenumber" name="L89" href="#L89">89</a>  }
</pre>
<hr/>
<div id="footer">Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</div>
</body>
</html>
